#
# spec file for package python-Flask-HTMLmin
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-Flask-HTMLmin
Version:        1.5.0
Release:        lp151.1.1
Summary:        Flask minifier for HTML responses
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/hamidfzm/Flask-HTMLmin
Source:         https://github.com/hamidfzm/Flask-HTMLmin/archive/v%{version}.tar.gz
BuildRequires:  %{python_module Flask}
BuildRequires:  %{python_module htmlmin}
# Test requirements
BuildRequires:  %{python_module pytest-cov}
BuildRequires:  %{python_module pytest-runner}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# End of test requirements
Requires:       python-Flask
Requires:       python-htmlmin
BuildArch:      noarch
%python_subpackages

%description
Flask-HTMLmin minimizes HTML rendered by Flask.

%prep
%setup -q -n Flask-HTMLmin-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec %{_bindir}/py.test

%files %{python_files}
%doc README.md
%license LICENSE
%dir %{python_sitelib}/flask_htmlmin
%{python_sitelib}/flask_htmlmin/*
%{python_sitelib}/Flask_HTMLmin-%{version}-*.egg-info

%changelog
* Fri Oct 26 2018 Jan Engelhardt <jengelh@inai.de>
- Trim fill wording
* Fri Oct 26 2018 alarrosa@suse.com
- Fix summary grammar
* Sat Oct 20 2018 Arun Persaud <arun@gmx.de>
- specfile:
  * be more specific in %%files section
- update to version 1.5.0:
  * Add stale bot configuration
  * Implement Route (or URL rule) exemption with test
  * Update setup config
  * Setup python 3.7 in travis CI
  * Update license date
  * Update Readme
* Wed Oct 10 2018 Antonio Larrosa <alarrosa@suse.com> - 1.4.0
- Remove conditional test variable from spec file and keep it enabled
* Tue Aug 21 2018 alarrosa@suse.com
- Initial release of python-Flask-HTMLmin 1.4.0
